<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: secuPWData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">secuPWData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="secutil_8h_source.html">secutil.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a06fc87d81c62e9abb8790b6e5713c55b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="structsecuPWData.html#a06fc87d81c62e9abb8790b6e5713c55baee7c552ff6c15567985e39ea917a83df">PW_NONE</a> = 0, 
<a class="el" href="structsecuPWData.html#a06fc87d81c62e9abb8790b6e5713c55ba08ba28e1910f2c3d066d784644ccc227">PW_FROMFILE</a> = 1, 
<a class="el" href="structsecuPWData.html#a06fc87d81c62e9abb8790b6e5713c55ba3804e300b7bdf0b6c1a4153b07cd30f6">PW_PLAINTEXT</a> = 2, 
<a class="el" href="structsecuPWData.html#a06fc87d81c62e9abb8790b6e5713c55ba9fdaa43d56cd1b37deb25241a5aa8ea0">PW_EXTERNAL</a> = 3
 }</td></tr>
<tr class="separator:a06fc87d81c62e9abb8790b6e5713c55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9f44dd4db3dd758bc5f2058ba3370d72"><td class="memItemLeft" align="right" valign="top">enum secuPWData:: { ... } &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuPWData.html#a9f44dd4db3dd758bc5f2058ba3370d72">source</a></td></tr>
<tr class="separator:a9f44dd4db3dd758bc5f2058ba3370d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91a70b77df95bd8b0830b49a094c2acb"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuPWData.html#a91a70b77df95bd8b0830b49a094c2acb">data</a></td></tr>
<tr class="separator:a91a70b77df95bd8b0830b49a094c2acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00077">77</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a06fc87d81c62e9abb8790b6e5713c55b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06fc87d81c62e9abb8790b6e5713c55b">&#9670;&nbsp;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55baee7c552ff6c15567985e39ea917a83df"></a>PW_NONE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55ba08ba28e1910f2c3d066d784644ccc227"></a>PW_FROMFILE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55ba3804e300b7bdf0b6c1a4153b07cd30f6"></a>PW_PLAINTEXT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55ba9fdaa43d56cd1b37deb25241a5aa8ea0"></a>PW_EXTERNAL&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00078">78</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a91a70b77df95bd8b0830b49a094c2acb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91a70b77df95bd8b0830b49a094c2acb">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00084">84</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<a id="a9f44dd4db3dd758bc5f2058ba3370d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f44dd4db3dd758bc5f2058ba3370d72">&#9670;&nbsp;</a></span>source</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum { ... }   source</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="secutil_8h_source.html">secutil.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
